# `PhoenixKit.Install.EndpointIntegration`
[🔗](https://github.com/BeamLabEU/phoenix_kit/blob/v1.7.87/lib/phoenix_kit/install/endpoint_integration.ex#L1)

Endpoint integration for PhoenixKit installation.

Previously, this module added the `phoenix_kit_socket()` macro to the parent app's
endpoint. This is no longer needed as the Sync websocket is now handled automatically
via `phoenix_kit_routes()` in the router.

This module now removes any existing deprecated `phoenix_kit_socket()` calls from
endpoints during installation/updates.

# `add_endpoint_integration`

Removes deprecated `phoenix_kit_socket()` and its import from the endpoint.

The `phoenix_kit_socket()` macro is deprecated. Sync websocket is now handled
automatically via `phoenix_kit_routes()` in the router.

## Parameters
- `igniter` - The igniter context

## Returns
Updated igniter with deprecated socket code and import removed.

---

*Consult [api-reference.md](api-reference.md) for complete listing*
